Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.info
Interface IObject

All Superinterfaces:
  Annotated, IThing, Named

All Known Implementing Classes:
  AbstractIObject, IConcept, IRelation

    public interface IObject

extends IThing, Named

An interface to include all base objects that have to do with information models, i.e. concepts and relations but not values.

Method Summary
`void` | `addDataChangeListener(DataChangeListener l)`
`boolean` | `checkConsistency()`
`IType` | `getType()`
`java.lang.Object` | `getValue(java.lang.String attName)`
`boolean` | `isEmpty()`
`boolean` | `nameHasChanged(java.lang.Object nameThing)`
`void` | `removeDataChangeListener(DataChangeListener l)`
`boolean` | `sameValue(java.lang.String field, java.lang.Object value, java.lang.Object otherValue)`
`void` | `setType(IType type)`
`boolean` | `setValue(IValue value)`
`boolean` | `setValue(java.lang.String attName, java.lang.Object value)`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Methods inherited from interface ix.icore.domain.Named
`getName`

Method Detail

### setValue

    boolean setValue(IValue value)

### setValue

    boolean setValue(java.lang.String attName,
                     java.lang.Object value)

### getValue

    java.lang.Object getValue(java.lang.String attName)

### setType

    void setType(IType type)

### getType

    IType getType()

### isEmpty

    boolean isEmpty()

### nameHasChanged

    boolean nameHasChanged(java.lang.Object nameThing)

### sameValue

    boolean sameValue(java.lang.String field,
                      java.lang.Object value,
                      java.lang.Object otherValue)

### checkConsistency

    boolean checkConsistency()

### addDataChangeListener

    void addDataChangeListener(DataChangeListener l)

### removeDataChangeListener

    void removeDataChangeListener(DataChangeListener l)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD